Skip to main content
POST
/
v1
/
apps
/
{app_id}
/
input-config
cURL
curl --request POST \
  --url https://api.nuon.co/v1/apps/{app_id}/input-config \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "groups": {},
  "inputs": {},
  "app_config_id": "<string>"
}
'
import requests

url = "https://api.nuon.co/v1/apps/{app_id}/input-config"

payload = {
    "groups": {},
    "inputs": {},
    "app_config_id": "<string>"
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({groups: {}, inputs: {}, app_config_id: '<string>'})
};

fetch('https://api.nuon.co/v1/apps/{app_id}/input-config', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "app_config_id": "<string>",
  "app_id": "<string>",
  "created_at": "<string>",
  "created_by_id": "<string>",
  "id": "<string>",
  "input_groups": [
    {
      "app_input_id": "<string>",
      "app_inputs": [
        {
          "app_input_id": "<string>",
          "cloudformation_stack_name": "<string>",
          "cloudformation_stack_parameter_name": "<string>",
          "created_at": "<string>",
          "created_by_id": "<string>",
          "default": "<string>",
          "description": "<string>",
          "display_name": "<string>",
          "group": "<unknown>",
          "group_id": "<string>",
          "id": "<string>",
          "index": 123,
          "internal": true,
          "name": "<string>",
          "org_id": "<string>",
          "required": true,
          "sensitive": true,
          "source": "<string>",
          "type": "<string>",
          "updated_at": "<string>"
        }
      ],
      "created_at": "<string>",
      "created_by_id": "<string>",
      "description": "<string>",
      "display_name": "<string>",
      "id": "<string>",
      "index": 123,
      "name": "<string>",
      "org_id": "<string>",
      "updated_at": "<string>"
    }
  ],
  "inputs": [
    {
      "app_input_id": "<string>",
      "cloudformation_stack_name": "<string>",
      "cloudformation_stack_parameter_name": "<string>",
      "created_at": "<string>",
      "created_by_id": "<string>",
      "default": "<string>",
      "description": "<string>",
      "display_name": "<string>",
      "group": "<unknown>",
      "group_id": "<string>",
      "id": "<string>",
      "index": 123,
      "internal": true,
      "name": "<string>",
      "org_id": "<string>",
      "required": true,
      "sensitive": true,
      "source": "<string>",
      "type": "<string>",
      "updated_at": "<string>"
    }
  ],
  "install_inputs": [
    {
      "app_input_config_id": "<string>",
      "created_at": "<string>",
      "created_by_id": "<string>",
      "id": "<string>",
      "install_id": "<string>",
      "org_id": "<string>",
      "redacted_values": {},
      "updated_at": "<string>",
      "values": {},
      "workflow_id": "<string>"
    }
  ],
  "org_id": "<string>",
  "updated_at": "<string>"
}
{
  "description": "<string>",
  "error": "<string>",
  "user_error": true
}
{
  "description": "<string>",
  "error": "<string>",
  "user_error": true
}
{
  "description": "<string>",
  "error": "<string>",
  "user_error": true
}
{
  "description": "<string>",
  "error": "<string>",
  "user_error": true
}
{
  "description": "<string>",
  "error": "<string>",
  "user_error": true
}
{
  "description": "<string>",
  "error": "<string>",
  "user_error": true
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and token.

Path Parameters

app_id
string
required

app ID

Body

application/json

Input

groups
object
required
inputs
object
required
app_config_id
string

Response

Created

app_config_id
string
app_id
string
created_at
string
created_by_id
string
id
string
input_groups
object[]
inputs
object[]
install_inputs
object[]
org_id
string
updated_at
string